### Method

# Gdk GLContextis_shared

since: 4.4

#### Declaration [src]

    gboolean
    gdk_gl_context_is_shared (
      GdkGLContext* self,
      GdkGLContext* other
    )

#### Description [src]

Checks if the two GL contexts can share resources.

When they can, the texture IDs from `other` can be used in `self`. This is particularly useful when passing `GdkGLTexture` objects between different contexts.

Contexts created for the same display with the same properties will always be compatible, even if they are created for different surfaces. For other contexts it depends on the GL backend.

Both contexts must be realized for this check to succeed. If either one is not, this function will return `FALSE`.

Available since: 4.4

#### Parameters

`other`

  Type: `GdkGLContext`

  The `GdkGLContext` that should be compatible with `self`.

  The data is owned by the caller of the method.

#### Return value

Type: `gboolean`

`TRUE` if the two GL contexts are compatible.